HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Accept or reject a guest sponsorship request

Accept or reject a guest account that is waiting for a sponsor’s approval.

Requires a guest self-registration page that has been configured for sponsor confirmation.

A common filter for /guest to query accounts needing sponsorship is: {"register_token":{"$ne":""},"register_token_confirmed":0}

If guest_register is not the sponsor-enabled self-registration, pass the registration page name as gsr_id.

Path Params
string
required

Numeric ID of the guest account

Query Params
string

Optional name of the self-registration with the sponsor confirmation configuration.

Body Params
string
required

Registration token

string
required

Registration token

boolean

Set to true to reject the sponsorship request

integer

Override the guest role

string

Override the guest expiration time

string

Timestamp for new expiration time; used if modify_expire_time is "expire_time"

Responses

Language
Response
Choose an example:
application/json